UNIX_CHKPWD(8)

NAME
unix_chkpwd - helper binary that verifies the password of the current user

SYNOPSIS
/sbin/unix_chkpwd [username]

DESCRIPTION

unix_chkpwd is a helper program for the pam_unix module that verifies the password of the current user. It is not intended to be run directly from the command line and logs a security violation if done so. It is typically installed setuid root or setgid shadow.

OPTIONS

unix_pwdchk optionally takes the following argument:

username
    The username of the user whose password you want to check: this must match the current user id.

INPUTS

unix_pwdchk expects the following inputs via stdin:

option
    Either nullok or nonull, depending on whether the user can have an empty password.

password
    The password to verify.

RETURN CODES

unix_chkpwd has the following return codes:

1   unix_chkpwd was inappropriately called from the command line or the password is incorrect.

0   The password is correct.

HISTORY
Written by Andrew Morgan

SEE ALSO

pam(8)

AUTHOR
Emily Ratliff.